# Bitcore v0.8

## Addresses and Key Management

* [Addresses](models/Address.md)
* [Using different networks](helpers/Networks.md)
* [Private Keys](models/PrivateKey.md) and [Public Keys](models/PublicKey.md)
* [Hierarchically-derived Private and Public Keys](models/Hierarchical.md)

## Payment handling
* [Using different Units](helpers/Unit.md)
* [Acknowledging and Requesting payments: Bitcoin URIs](helpers/URI.md)
* [Payment Protocol Support](helpers/PaymentProtocol.md)
* [The Transaction Class](models/Transaction.md)

## Bitcoin internals
* [Scripts](models/Script.md)
* [Block](models/Block.md)

## Networking
* [Interface to the Bitcoin P2P network](networking/Peer.md)
* [Managing a pool of peers](networking/Pool.md)
* [Connecting to a bitcoind instance through JSON-RPC](networking/JSONRPC.md)

## Extra
* [Crypto](helpers/Crypto.md)
* [Encoding](helpers/Encoding.md)
* [ECIES](helpers/ECIES.md)
